LibreOffice: PackageManagerDialog Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
PackageManagerDialog Service Reference

The PackageManagerDialog is used to visually manage installed packages of the user and shared installation as well as currently open documents. More...

`import"PackageManagerDialog.idl";`

Inheritance diagram for PackageManagerDialog:

## Public Member Functions
| createDefault ()
| Create a default GUI. More...
| create ([in] com::sun::star::awt::XWindow xParent, [in] string focusedContext)
| Create a GUI using the specific parent window and focus on the given context. More...
| createAndInstall ([in] string extensionURL)
| Create a GUI and pass the URL of the extension which shall be installed right away. More...
Public Member Functions inherited from XAsynchronousExecutableDialog
void | setDialogTitle ([in] string aTitle)
| Sets the title of the dialog. More...
void | startExecuteModal ([in] XDialogClosedListener xListener)
| Executes (shows) the dialog and returns immediately. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The PackageManagerDialog is used to visually manage installed packages of the user and shared installation as well as currently open documents.

Since
  OOo 2.0

## Member Function Documentation

## ◆ create()

create | ( | [in] com::sun::star::awt::XWindow | xParent,
|  | [in] string | focusedContext
| ) |  |

Create a GUI using the specific parent window and focus on the given context.

Parameters

  xParent | parent window
  focusedContext | context to be focused

## ◆ createAndInstall()

createAndInstall | ( | [in] string | extensionURL | ) |

Create a GUI and pass the URL of the extension which shall be installed right away.

This constructor is intended for the case when unopkg is run as result of clicking an extension in a file browser, etc. The extensions will always be installed for the current user.

Parameters

  extensionURL | URL of extension

## ◆ createDefault()

createDefault | ( |  | ) |

Create a default GUI.

The documentation for this service was generated from the following file:

- com/sun/star/deployment/ui/PackageManagerDialog.idl